### Method

# FwupdPlugin UsbDevice set_dev

since: 1.0.2

#### Declaration [src]

    void
    fu_usb_device_set_dev (
      FuUsbDevice* device,
      GUsbDevice* usb_device
    )

#### Description [src]

Sets the `GUsbDevice` to use.

Available since: 1.0.2

#### Parameters

`usb_device`

  Type: `GUsbDevice`

  Optional `GUsbDevice`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.